curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"name": "<string>",
"isDefault": true,
"generateBuyerProfiles": true,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url"
payload = {
"url": "<string>",
"name": "<string>",
"isDefault": True,
"generateBuyerProfiles": True,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
name: '<string>',
isDefault: true,
generateBuyerProfiles: true,
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'name' => '<string>',
'isDefault' => true,
'generateBuyerProfiles' => true,
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyScrape a brand's website and save a brand kit in a workspace: name, colors, fonts, tone of voice, target demographic, aesthetic, positioning (problem solved, differentiator, key result), industry, and the logo stored as a media asset. Buyer profiles are generated in the background afterwards (poll get_brand_kit for buyer_profiles_status). Takes 30-90 seconds. Free; spends no credits. Unlinked products on the same domain are linked to the new kit.
Scrape a brand’s website and save a brand kit in a workspace: name, colors, fonts, tone of voice, target demographic, aesthetic, positioning (problem solved, differentiator, key result), industry, and the logo stored as a media asset. Buyer profiles are generated in the background afterwards (poll get_brand_kit for buyer_profiles_status). Takes 30-90 seconds. Free; spends no credits. Unlinked products on the same domain are linked to the new kit.
curl --request POST \
--url https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"name": "<string>",
"isDefault": true,
"generateBuyerProfiles": true,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url"
payload = {
"url": "<string>",
"name": "<string>",
"isDefault": True,
"generateBuyerProfiles": True,
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
name: '<string>',
isDefault: true,
generateBuyerProfiles: true,
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => '<string>',
'name' => '<string>',
'isDefault' => true,
'generateBuyerProfiles' => true,
'workspaceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url"
payload := strings.NewReader("{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.adstellar.ai/api/v1/tools/create_brand_kit_from_url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"<string>\",\n \"name\": \"<string>\",\n \"isDefault\": true,\n \"generateBuyerProfiles\": true,\n \"workspaceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
AdStellar API key (ast_live_...)
Body
Public http(s) website URL. A bare domain like "acme.com" is accepted.
4 - 2048Override the extracted brand name.
1 - 120Make this the workspace's default brand kit. Omit to default it only when the workspace has no kit yet.
Kick off buyer-profile generation in the background after saving (default true).
Workspace to act in (must be granted to this credential). Omit for the primary workspace.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Tool result